#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Clone
Summary:	Clone - Perl module for recursively copying Perl datatypes
Summary(pl.UTF-8):	Clone - moduł Perla obsługujący rekursywne kopiowanie zmiennych w Perlu
Name:		perl-Clone
Version:	0.44
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Clone/%{pdir}-%{version}.tar.gz
# Source0-md5:	0c98ec61248d79b0d5d0b45747568b99
URL:		https://metacpan.org/release/Clone
%if %{with tests}
BuildRequires:	perl-B-COW >= 0.003
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a clone() method which makes recursive copies
of nested hash, array, scalar and reference types, including tied
variables and objects.

%description -l pl.UTF-8
Ten moduł dostarcza clone(), metodę służącą do rekurencyjnego
kopiowania zagnieżdżonych tablic asocjacyjnych, tablic, skalarów i
referencji, włącznie ze związanymi zmiennymi i obiektami.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Clone.pm
%attr(755,root,root) %{perl_vendorarch}/auto/Clone/Clone.so
%{perl_vendorarch}/auto/Clone/autosplit.ix
%{_mandir}/man3/Clone.3pm*
%changelog
* Wed Apr 22 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Clone.git;a=log;h=master

* Wed Apr 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 35fc286
- updated to 0.44

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> cdd8c07
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 9145dd5
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 1581ef7
- up to 0.43

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> a75bdc1
- release 5

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> e647bb3
- release 4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e885ea8
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3381d00
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 50eb9ad
- Up to 0.39

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 08a640a
- updated to 0.38

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> e455b29
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 40a9315
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> b234508
- x32 rebuild
- release 2 (by relup.sh)

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> ea07a2d
- updated to 0.37

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 0ada2bf
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9cefab7
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 61b484b
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 65ede34
- updated to 0.34

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4f99cef
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 655fc9c
- rel 4

